<?php 
require_once("../../../conexao.php");
$tabela = 'matriculas';

@session_start();




echo <<<HTML
<small>
HTML;

$query = $pdo->query("SELECT * FROM $tabela where pacote != 'Sim' and status = 'Finalizado' ORDER BY data_conclusao desc");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
$total_reg = @count($res);
if($total_reg > 0){
echo <<<HTML
	<table class="table table-hover" id="tabela">
	<thead> 
	<tr> 
	<th>Curso</th>
	<th class="esc">Professor</th> 
	<th class="esc">Aluno</th> 
	<th class="esc">Data Início</th> 		
	<th class="esc">Data Conclusão</th>	
	<th>Ações</th>
	</tr> 
	</thead> 
	<tbody>
HTML;

for($i=0; $i < $total_reg; $i++){
	foreach ($res[$i] as $key => $value){}
	$id = $res[$i]['id'];
	$curso = $res[$i]['id_curso'];
	$aulas_concluidas = $res[$i]['aulas_concluidas'];	
	$valor = $res[$i]['subtotal'];	
	$data = $res[$i]['data'];	
	$status = $res[$i]['status'];
	$professor = $res[$i]['professor'];	
	$pacote = $res[$i]['pacote'];	
	$aluno = $res[$i]['aluno'];	
	$data_conclusao = $res[$i]['data_conclusao'];	

	if($pacote == 'Sim'){
		$tab = 'pacotes';
		$link = 'cursos-do-';
	}else{
		$tab = 'cursos';
		$link = 'curso-de-';
	}
	

	$query2 = $pdo->query("SELECT * FROM $tab where id = '$curso'");
	$res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
	if(@count($res2) > 0){
		$nome_curso = $res2[0]['nome'];
		$nome_url = $res2[0]['nome_url'];
		$url_do_curso = $link.$nome_url;
		$id_do_curso = $res2[0]['id'];

	}else{
		$nome_curso = "";
	}


	$query2 = $pdo->query("SELECT * FROM professores where id = '$professor'");
	$res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
	if(@count($res2) > 0){
		$nome_professor = $res2[0]['nome'];		
	}else{
		$nome_professor = "";
	}

	$query2 = $pdo->query("SELECT * FROM usuarios where id = '$aluno'");
	$res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
	if(@count($res2) > 0){
		$nome_aluno = $res2[0]['nome'];		
	}else{
		$nome_aluno = "";
	}

	
	$query2 = $pdo->query("SELECT * FROM aulas where curso = '$curso'");
	$res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
	$aulas = @count($res2);


	
	$porcentagemAulas = 0;

	if($aulas_concluidas > 0 && $aulas > 0){
		$porcentagemAulas = ($aulas_concluidas / $aulas) * 100;
		if($porcentagemAulas > 100){
			$porcentagemAulas = 100;
		}
	}

	$porcentagemAulasF = round($porcentagemAulas, 2);


	if($status == 'Aguardando'){
		$excluir = '';
		$icone = 'fa-square';		
		$classe_square = 'text-danger';
		$classe_nome = 'text-muted';
		$ocultar_aulas = 'ocultar';
		$ocultar_pagar = '';
		$classe_progress = '';
		$icones_finalizados = 'ocultar';
	}else if($status == 'Finalizado'){
		$excluir = 'ocultar';
		$icone = 'fa-square';		
		$classe_square = 'azul';
		$classe_nome = 'verde_claro';
		$ocultar_aulas = '';
		$ocultar_pagar = 'ocultar';
		$classe_progress = '#015e23';
		$icones_finalizados = '';
	}
	else{
		$excluir = 'ocultar';
		$icone = 'fa-square';		
		$classe_square = 'verde';
		$classe_nome = 'verde_claro';
		$ocultar_aulas = '';
		$ocultar_pagar = 'ocultar';
		$classe_progress = '';
		$icones_finalizados = 'ocultar';
	}


	
	//FORMATAR VALORES
	$valorF = number_format($valor, 2, ',', '.');
	$dataF = implode('/', array_reverse(@explode('-', $data)));
	$data_conclusaoF = implode('/', array_reverse(@explode('-', $data_conclusao)));

	
	
echo <<<HTML
<tr> 
		<td>{$nome_curso}</td> 		
		<td class="esc">{$nome_professor}</td>		
		<td class="esc">{$nome_aluno}</td>

		<td class="">
		<form id="form_inicio" method="post">
		<input type="date" name="data_inicio" value="{$data}" style="background: transparent; border:none; border-bottom: 1px solid #000; width:110px">
		<button type="submit" style="background: transparent; border:none;"><i class="fa fa-check verde"></i></button>
		<input type="hidden" name="id" value="{$id}">
		</form>
		</td>	

		<td class="">
		<form id="form_conclusao" method="post">
		<input type="date" name="data_conclusao" value="{$data_conclusao}" style="background: transparent; border:none; border-bottom: 1px solid #000; width:110px">
		<button type="submit" style="background: transparent; border:none;"><i class="fa fa-check verde"></i></button>
		<input type="hidden" name="id" value="{$id}">
		</form>
		</td>
					
		<td>	
	

		<form method="post" action="../rel/rel_certificado.php" target="_blank" class="{$icones_finalizados}">		
		<button  type="submit" style="background-color: transparent;  border:none!important;"><img src="img/certificado.png" width="30">
		</button>
		<input type="hidden" name="id_mat" value="{$id}">
		

		</form>

		



		</td>
</tr>
HTML;

}

echo <<<HTML
</tbody>
<small><div align="center" id="mensagem-excluir"></div></small>
</table>	
HTML;

}else{
	echo 'Não possui nenhum curso Finalizado!';
}
echo <<<HTML
</small>
HTML;


?>


<script type="text/javascript">

	$(document).ready( function () {
		$('#tabela').DataTable({
			"ordering": false,
			"stateSave": true,
		});
		$('#tabela_filter label input').focus();
	} );
	
	


</script>


<script type="text/javascript">
	
$("#form_conclusao").submit(function () {	
	
	event.preventDefault();
	var formData = new FormData(this);

	$.ajax({
		url: 'paginas/' + pag + "/alterar_data.php",
		type: 'POST',
		data: formData,

		success: function (mensagem) {
            $('#mensagem-excluir').text('');
            $('#mensagem-excluir').removeClass()
            if (mensagem.trim() == "Salvo com Sucesso") { 
                    alert('Data Alterada!')
                } else {
                	$('#mensagem-excluir').addClass('text-danger')
                    $('#mensagem-excluir').text(mensagem)
                }

            },

            cache: false,
            contentType: false,
            processData: false,
            
        });

});


$("#form_inicio").submit(function () {	
	
	event.preventDefault();
	var formData = new FormData(this);

	$.ajax({
		url: 'paginas/' + pag + "/alterar_data_inicio.php",
		type: 'POST',
		data: formData,

		success: function (mensagem) {
            $('#mensagem-excluir').text('');
            $('#mensagem-excluir').removeClass()
            if (mensagem.trim() == "Salvo com Sucesso") { 
                    alert('Data Alterada!')
                } else {
                	$('#mensagem-excluir').addClass('text-danger')
                    $('#mensagem-excluir').text(mensagem)
                }

            },

            cache: false,
            contentType: false,
            processData: false,
            
        });

});
</script>